searchable.searchsequence

## Class BubbleSortedSearchSequence

- java.lang.Object
- - searchable.searchsequence.SearchSequence
  - - searchable.searchsequence.SearchSequenceWithOrderedSelect
    - - searchable.searchsequence.SortedSearchSequence
      - - searchable.searchsequence.BubbleSortedSearchSequence

- All Implemented Interfaces:
    Searchable, SearchableWithMedian

      class BubbleSortedSearchSequence
      extends SortedSearchSequence
      implements Searchable

  Implementace vyhledávací posloupnosti seřazené bublinkovým řazením.

  Popis: Operace insert je rychlá, ale může narušit seřazení prvků v posloupnosti. Proto před operacemi select, update nebo remove, které následují po operaci insert, musíme seřadit posloupnost. K tomu slouží metoda sort.

  Užití: instance této třídy lze používat v aplikacích

- - ### Field Summary

    - ### Fields inherited from class searchable.searchsequence.SortedSearchSequence

      `isSorted, sortCounter`

    - ### Fields inherited from class searchable.searchsequence.SearchSequence

      `sequence`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BubbleSortedSearchSequence(SortableSequenceFactory aFactory, int aSize)` Vyrobí instanci vyhledávací posloupnosti BubbleSortedSearchSequence.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `sort()` Seřadí prvky posloupnosti vzestupně podle klíčů.

    - ### Methods inherited from class searchable.searchsequence.SortedSearchSequence

      `getSortCounter, insert, remove, select, selectMedian, update`

    - ### Methods inherited from class searchable.searchsequence.SearchSequenceWithOrderedSelect

      `orderedSelect`

    - ### Methods inherited from class searchable.searchsequence.SearchSequence

      `getCount, getOperationCounter, getReadable, isEmpty, isFull, setSequence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface searchable.searchableinterface.Searchable

      `getCount, getOperationCounter, getReadable, getSortCounter, insert, isEmpty, isFull, remove, select, update`

- - ### Constructor Detail

    - #### BubbleSortedSearchSequence

          public BubbleSortedSearchSequence(SortableSequenceFactory aFactory,
                                            int aSize)

      Vyrobí instanci vyhledávací posloupnosti BubbleSortedSearchSequence.

      Popis: inicializuje atributy instance.

      Parameters:
        `aFactory` - továrna na seřaditelné posloupnosti
        `aSize` - kapacita seřaditelné posloupnosti

  - ### Method Detail

    - #### sort

          protected int sort()

      Seřadí prvky posloupnosti vzestupně podle klíčů.

      Popis: řazení bublinkově (bubblesort)

      Mění: změní pořadí prvků v posloupnosti.

      Specified by:
        `sort` in class `SortedSearchSequence`
      Returns:
        počet kroků potřebných k seřazení posloupnosti